Skip to main content
POST
/
v1
/
projects
Create Project
curl --request POST \
  --url https://api.human.prod.artistree.io/v1/projects \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "projectName": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "date_created": "<string>",
  "members": [
    {
      "email": "<string>",
      "role": "<string>"
    }
  ],
  "detection_config": {
    "object_flag_threshold": 123,
    "weighted_confidence_threshold": 123,
    "default_object_flag_threshold": 123,
    "default_weighted_confidence_threshold": 123,
    "org_object_flag_threshold": 123,
    "org_weighted_confidence_threshold": 123
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
projectName
string | null
required

Response

The created project

id
string
required
name
string
required
date_created
string
required
members
ProjectMemberDto · object[]
required
detection_config
DetectionConfigDto · object